%define upstream_name Math_BigInteger
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.2
Release:     	%mkrel 4
Summary:    	Pure-PHP arbitrary precission integer arithmetic library
License: 	LGPL License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Math_BigInteger-%{version}.tgz
URL: 		http://pear.php.net/package/Math_BigInteger
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear
BuildArch: 	noarch

%description
Supports base-2, base-10, base-16, and base-256 numbers.  Uses the GMP or
BCMath extensions, if available, and an internal implementation, otherwise.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Math_BigInteger.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Math_BigInteger.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Math_BigInteger
fi

%files
%{peardir}/*
%{xmldir}/Math_BigInteger.xml


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.0.2-4.mga6
+ Revision: 938476
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-3.mga5
+ Revision: 743155
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-2.mga5
+ Revision: 687340
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 spuhler <spuhler> 1.0.2-1.mga5
+ Revision: 644004
- upgrade to ver. 1.0.2

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 516970
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 376843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 23 2012 spuhler <spuhler> 1.0.0-1.mga2
+ Revision: 200002
- imported package php-pear-Math_BigInteger

